> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Equos Voice.



## OpenAPI

````yaml https://api.equos.ai/docs/v3-json patch /v3/voices/{id}
openapi: 3.0.0
info:
  title: Equos.ai API
  description: API documentation for Equos.ai live platform.
  version: '3.0'
  contact: {}
servers:
  - url: https://api.equos.ai
security: []
tags: []
paths:
  /v3/voices/{id}:
    patch:
      tags:
        - Voice
      summary: Update an Equos Voice.
      operationId: updateVoice
      parameters:
        - name: id
          required: true
          in: path
          description: Equos Voice ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEquosVoiceRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                nullable: true
                allOf:
                  - $ref: '#/components/schemas/EquosVoice'
      security:
        - x-api-key: []
components:
  schemas:
    CreateEquosVoiceRequest:
      type: object
      properties:
        client:
          type: string
          nullable: true
          description: >-
            Client identifier associated with the voice. This is useful to
            segment resources by client.
        identity:
          type: string
          enum:
            - Puck
            - Charon
            - Kore
            - Fenrir
            - Aoede
            - Leda
            - Orus
            - Zephyr
            - Sulafat
            - Sadachbia
            - Sadaltager
            - Vindemiatrix
            - Zubenelgenubi
            - Achird
            - Pulcherrima
            - Gacrux
            - Schedar
            - Alnilam
            - Achernar
            - Laomedeia
            - Rasalgethi
            - Algenib
            - Erinome
            - Despina
            - Algieba
            - Umbriel
            - Iapetus
            - Enceladus
            - Autonoe
            - Callirrhoe
        instructions:
          type: string
          nullable: true
          description: Instructions for the voice such as tone, rythm, etc.
      required:
        - identity
    EquosVoice:
      type: object
      properties:
        id:
          type: string
        organizationId:
          type: string
        client:
          type: string
          nullable: true
        identity:
          type: string
          enum:
            - Puck
            - Charon
            - Kore
            - Fenrir
            - Aoede
            - Leda
            - Orus
            - Zephyr
            - Sulafat
            - Sadachbia
            - Sadaltager
            - Vindemiatrix
            - Zubenelgenubi
            - Achird
            - Pulcherrima
            - Gacrux
            - Schedar
            - Alnilam
            - Achernar
            - Laomedeia
            - Rasalgethi
            - Algenib
            - Erinome
            - Despina
            - Algieba
            - Umbriel
            - Iapetus
            - Enceladus
            - Autonoe
            - Callirrhoe
        instructions:
          type: string
          nullable: true
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - organizationId
        - identity
        - createdAt
        - updatedAt
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````